Bug 149655 - "show in groups" and "sort by date" should handle picture-folders smarter
Summary: "show in groups" and "sort by date" should handle picture-folders smarter
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 16.12.2
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Rafael Fernández López
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-08 15:49 UTC by S. Burmeister
Modified: 2007-09-23 20:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Sort by date in a different way (1.49 KB, patch)
2007-09-19 06:14 UTC, Rafael Fernández López
Details

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2007-09-08 15:49:03 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

When using the "show in groups" and "sort by date" view old pictures in a folder are just shown as "More than one year". (the heading lacks the "old" or "ago")

This is of no use since it does not tell the user anything about the date of those pictures.

I think that when using this mode the user wants to see the pictures sorted by date and see what date they were taken on or at least when the file was created. Especially when using the preview mode.

Hence it might make sense to at least group them by years and show the year as a heading.

In general it seems to make sense to sub-group items if there are more than x items within that group or in case there is only one group.

So if all pictures are from January 2005, January 2005 should be the heading of the group.

If there are 10 pictures from day x and another 15 from day y they there should be two groups, i.e. day x and day y.
Comment 1 Rafael Fernández López 2007-09-08 16:36:45 UTC
I agree with the bug description. With the current implementation is hard to do conditional groups. Each item is asked separately (without knowing their environment) what category are they in, and then groups are created.

I completely agree that the current strings are "not the best way". Indeed, I was waiting for feedback in this direction, same as how to show Permissions.

Thank you for your detailed description.
Comment 2 Rafael Fernández López 2007-09-19 06:14:53 UTC
Created attachment 21655 [details]
Sort by date in a different way
Comment 3 Rafael Fernández López 2007-09-19 06:17:05 UTC
Sorry, I attached before writing the message itself.

As I see that you are on compiled sources it would be really nice if you could apply the patch attached (on the above message), and tell me if this fits your needs. I think is a smarter way than before.

If this is OK for you, I will commit and mark this as FIXED.
Comment 4 Rafael Fernández López 2007-09-23 06:30:45 UTC
SVN commit 715740 by ereslibre:

Show more useful information when sorting by date (in all folders, not 
only on those with pictures).

With the current architecture it is impossible to create different rules 
depending on the items that each category contains. All categories are 
similar to the rest. That also helps to quickly find what you are 
looking for.

BUG: 149655


 M  +1 -12     dolphinmodel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=715740
Comment 5 S. Burmeister 2007-09-23 20:10:30 UTC
I just compiled dolphin and the items are now sorted by month. Very nice. Thanks a lot!